Package org.kapott.hbci.comm

# Class Filter

java.lang.Object
org.kapott.hbci.comm.Filter

Direct Known Subclasses:
  `FilterBase64`, `FilterNone`

public abstract class Filter extends Object

## Constructor Summary

Constructors
Constructor
Description
`Filter()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`decode(String st)`
`abstract byte[]`
`encode(String st)`
`static Filter`
`getInstance(String filter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Filter

public Filter()

## Method Details

### encode

public abstract byte[] encode(String st)

### decode

public abstract String decode(String st)

### getInstance

public static Filter getInstance(String filter)